# Ticketing

## List Remote Fields

 - [GET /v1/ticketing/remote-fields](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_list_remote_fields.md): List all remote fields for all Projects in a ticketing integration. The response will include a list of fields for each issue type in the ticketing provider.

Operation ID: ticketing_list_remote_fields

## List Projects

 - [GET /v1/ticketing/projects](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_list_projects.md): Returns a list of Projects from the token-linked Integration. Tickets must be created and retrieved within the context of a specific Project.

Operation ID: ticketing_list_projects

## Query Tickets

 - [GET /v1/ticketing/tickets](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_query_tickets.md): Returns a list of Ticket objects from the token-linked Integration.

Operation ID: ticketing_query_tickets

## Create Ticket

 - [POST /v1/ticketing/tickets](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_create_ticket.md): Creates a Ticket object in the token-linked Integration.

Operation ID: ticketing_create_ticket

## Get Ticket

 - [GET /v1/ticketing/tickets/{ticketId}](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_get_ticket.md): Returns a Ticket object matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_get_ticket

## Patch Ticket

 - [PATCH /v1/ticketing/tickets/{ticketId}](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_patch_ticket.md): Updates the Ticket object matching {ticketId} in the token-linked Integration.

Operation ID: ticketing_patch_ticket

## Create Attachment

 - [POST /v1/ticketing/attachments/{ticketId}](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_create_attachment.md): [beta: currently supported by Jira] Creates an Attachment for the ticket with id {ticketId} in the token-linked Integration.

Operation ID: ticketing_create_attachment

## List Attachments Metadata

 - [GET /v1/ticketing/attachments/{ticketId}](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_list_attachments_metadata.md): [beta: currently supported by Jira] Returns metadata for all Attachments for a Ticket object matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_list_attachments_metadata

## Download Attachment

 - [GET /v1/ticketing/attachments/{ticketId}/{attachmentId}/download](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_download_attachment.md): [beta: currently supported by Jira] Downloads the Attachment object matching {attachmentId} for the Ticket matching {tickedId} from the token-linked Integration.

Operation ID: ticketing_download_attachment

## Delete Attachment

 - [DELETE /v1/ticketing/attachments/{ticketId}/{attachmentId}](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_delete_attachment.md): [beta: currently supported by Jira] Deletes the Attachment object matching {attachmentId} for the Ticket matching {tickedId} from the token-linked Integration.

Operation ID: ticketing_delete_attachment

## List Comments

 - [GET /v1/ticketing/tickets/{ticketId}/comments](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_list_comments.md): Lists all comments for the ticket matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_list_comments

## Create Comment

 - [POST /v1/ticketing/tickets/{ticketId}/comments](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_create_comment.md): Creates a comment on the ticket matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_create_comment

## Delete Comment

 - [DELETE /v1/ticketing/tickets/{ticketId}/comments/{commentId}](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_delete_comment.md): Deletes the comment matching {commentId} form the ticket matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_delete_comment

## Create Note

 - [POST /v1/ticketing/tickets/{ticketId}/notes](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_create_note.md): Creates a note on the ticket matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_create_note

## List Notes

 - [GET /v1/ticketing/tickets/{ticketId}/notes](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_list_notes.md): Lists all notes for the ticket matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_list_notes

## Delete Note

 - [DELETE /v1/ticketing/tickets/{ticketId}/notes/{noteId}](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_delete_note.md): Deletes the note matching {noteId} form the ticket matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_delete_note

## Patch Note

 - [PATCH /v1/ticketing/tickets/{ticketId}/notes/{noteId}](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_patch_note.md): Update a note matching {noteId} title and/or content on the ticket matching {ticketId} from the token-linked Integration.

Operation ID: ticketing_patch_note

## Query Escalation Policies

 - [GET /v1/ticketing/escalation-policies](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_query_escalation_policies.md): Returns a list of escalation policies.

Operation ID: ticketing_query_escalation_policies

## List On Call Agents

 - [GET /v1/ticketing/escalation-policies/{escalationPolicyId}/on-call](https://docs.synqly.com/api-reference/connectors/ticketing/ticketing_list_on_call.md): Returns a list of all on-call agents for an escalation policy.

Operation ID: ticketing_list_on_call

